<?php
include '../config.php';
include '../func.php';
head();
ban();
aut();

$time = time();

echo head . 'Мафия' . div . katalog;

include_once 'inc/system.php';
include_once 'inc/config.php';

if(!$conf['open'] || $type['type']=='free' || $type['type']=='reg' || $user['m_reg']=='0' || $user['m_live']!='1')exit('Игра еще не началась');


if($type['type']=='night'){ 

switch($user['m_role'])
{

case '0':
if($conf['shop']){

//Магазин

}else echo 'Магазин временно закрыт';

break;


case '1':
//Комиссар

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{

$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".intval($_POST['id'])."'"));
if($ank['m_live']!='1')echo 'Пользователь убит или не найден';
else{
echo "Вы зашли в квартиру подозреваемого. Порывшись в вещах, вы поняли, что <b>$ank[login]</b> это <b>".rol($ank['m_role'])."</b><br/>Вдруг вы увидели из окна, что подозреваемый подходит к дому, и поспешно удалились.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
mysql_query("update `profile` set `m_cheked_mir` = '1' where `id` = '$ank[id]';");
act();
bot("Комиссар, выйдя из местного отделения полиции, отправился на розыск преступников");
}
}else{
echo 'Сегодня ночью у вас задумана важная операция. Выследив, когда подозреваемый<br/>';
echo "<form method='post' action='?$passgen'><select name='id'>";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1' and `id` != '$user[id]';");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login] ".($ank['m_cheked_mir']=='1'?'['.rol($ank['m_role']).']':null)."</option>"; }
echo "</select> уйдет из дома, вы пошли к нему в квартиру<br/>";

echo "<input type='submit'  value='Зайти' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "\"Хм, кажется  уже видел этого человека\" - подумали вы. Посмотрев в блокноте, вы вспомнили, что <b>$us[login]</b> - это <b>".rol($us['m_role'])."</b>";
}

break;

case '4':

//Шериф

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".intval($_POST['id'])."'"));
if($ank['m_live']!='1')echo 'Пользователь убит или не найден';
else{
if($ank['m_role']>8)
echo "Вы подошли к подозреваемому. С первого взгляда вы поняли, что это нехороший человек. Достав свою карманную установку \"Мини-Тополь М\", вы уничтожили злодея. Порывшись в бумажнике, вы нашли визитку: <b>$ank[nick]</b> - <b>".rol($ank['m_role'])."</b><br/>На этом вы успокоились, и пошли домой, играть в DUKE NUKEM FOREVER.";
else echo "Подойдя к подозреваемому, вы не почуяли от него знакомый запах крови. Проверив документы, вы узнали, что перед Вами пользователь <b>$ank[login]</b>, и он - <b>".rol($ank['m_role'])."</b><br/>На этом вы успокоились, и пошли домой.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
mysql_query("update `profile` set `m_cheked_mir` = '1' where `id` = '$ank[id]';");
act();
bot("На улицу вышел шериф - гроза преступников. Жители могут спать спокойно.");
}
}else{
echo 'Идя по улице, Вы заметили подозрительное лицо. Это был<br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1' and `id` != '$user[id]';");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login] ".($ank['m_cheked_mir']=='1'?'['.role($ank['m_role']).']':null)."</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Подойти' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "\"Хм, кажется  уже видел этого человека\" - подумали вы. Посмотрев в блокноте, вы вспомнили, что <b>$us[login]</b> - это <b>".rol($us['m_role'])."</b>";
}

break;

case '5':

//Путана

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".intval($_POST['id'])."'"));
if($ank['m_live']!='1')echo 'Пользователь убит или не найден';
else{
if($ank['m_role']>8)
echo "Переспав с клиентом, вы порылись в бумажнике <b>$ank[login]</b><br/>Убедившись, что преступник, Вы заняли его на всю ночь.";
else echo "<b>$ank[login]</b> заказал Вас на 15 минут. Понятно - это мирный житель.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
act();
bot("Путана вышла на трассу за очередным клиентом.");
}
}else{
echo 'К вам подъехала машина с пользователем <br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1';");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login]</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Сесть' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]' and `id` != '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "Сегодня вы уже переспали с пользователем <b>$us[login]</b>";
}

break;

case '9':

//Маньяк

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_POST['id'])."'"));
if($ank['m_live']!='1')echo 'Пользователь убит или не найден';
else{
echo "Жертва молила о пощаде, но из-за шума бензопилы вы ничего не слышали... *сцена жестокости вырезана* Порывшись в бумажнике, вы нашли визитку: <b>$ank[login]</b> - <b>".rol($ank['m_role'])."</b><br/>На этом вы уталили свою жажду крови и пошли домой.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
act();
bot("По улицам раздается зловещий смех и шум бензопилы - это ходит маньяк.бензопила.");
}
}else{
echo 'Вы - маньяк. Вы жаждите крови. Вам без разницы, кого убивать, но все же?<br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1' and `id` != '$user[id]';");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login]</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Убить' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "\"Хм, кажется он уже мертв. Да, моя работа\" - подумали вы и вспомнили, что <b>$us[login]</b> - это <b>".rol($us['m_role'])."</b>";
}

break;



//фанатик 
case '8':
echo 'Вам нечего делать ночью, идите тренируйтесь в неуязвимости';

break;


case '3':

//Доктор

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_POST['id'])."'"));
if($ank['m_live']!='1')echo 'Пользователь убит или не найден';
else{
echo "Вколя пользователю <b>$ank[login]</b> огромный укол в пятую точку, вы с чистой совестью ушли домой, слыша ругательства. \"Ничего, это ради твоей же пользы\" - подумали вы про себя.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
act();
bot("По улицам бродит доктор в поисках ночного пациента.");
}
}else{
echo 'Кто же из них нуждается в лечении?<br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1'  and `id` != '$user[id]';");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login]</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Лечить' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "\"Хм, я его сегодня лечил.\" - подумали вы, когда пациент <b>$us[login]</b> побежал за вами, угрожая засунуть *** Вам в ***</b>";
}

break;

case '7':

//Самурай

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_POST['id'])."'"));
if($ank['m_live']!='1')echo 'Пользователь убит или не найден';
else{
echo "Этой ночью вы охраняете пользователя <b>$ank[login]</b>. Странно, почему он постоянно оглядывается назад, и укроряет шаг, видя меня с мечом?.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
act();
bot("Японский самурай бродит по улицам в поисках приключений [s]на свою жопу[/s].");
}
}else{
echo 'Кто же из них нуждается в защите?<br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1' and `id` != '$user[id]';");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login]</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Защитить' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "Я уже сегодня защищаю <b>$us[login]</b>";
}

break;



case '6':

//Бомж

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_POST['id'])."'"));
if($ank['m_live']!='1')echo 'Пользователь убит или не найден';
else{
echo "Вы пошли за <b>$ank[login]</b>. Случится ли с ним что-нибудь или нет? Узнаем утром.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
act();
bot("Вот бредет бомж. Никто и не догадается, что он за кем-то следит.");
}
}else{
echo 'За кем из них сегодня пойдем?<br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1' and `id` != '$user[id]';");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login]</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Следить' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "Хм, я уже иду за пользователем <b>$us[login]</b> - подумали Вы";
}

break;

case '10':

//Мафиози

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_POST['id'])."'"));
if($ank['m_live']!='1' or $ank['m_role']>9)echo 'Пользователь убит или не найден';
else{

 echo "На тайном мафиозном совете вы проголосовали за человека <b>$ank[login]</b><br/>На этом вы успокоились, и пошли домой, играть в MAFIA 2.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
act();
bot("Очередной мафиози отправился на тайный совет.");
}
}else{
mafs();
echo 'Мафиози голосуют. Кого сегодня убьют?<br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1' and `m_role` < 10;");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login] ".($ank['m_cheked_maf']=='1'?'['.rol($ank['m_role']).']':null)."</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Убить' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "Вы уже проголосовали за пользователя <b>$us[login]</b>";
}

break;

case '11':

//Босс мафии

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_POST['id'])."'"));
if($ank['m_live']!='1' or $ank['m_role']>9)echo 'Пользователь убит или не найден';
else{

 echo "На тайном мафиозном совете вы проголосовали за человека <b>$ank[login]</b><br/>На этом вы успокоились, и пошли домой, играть в Крестного Отца 2.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
act();
bot("Босс мафии вышел на охоту! Всем спрятаться в подвалах и не выходить до утра!");
}
}else{
mafs();
echo 'Мафиози голосуют. Кого сегодня убьют? Помните, Вы - Босс, и Ваш голос вдвойне значим<br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from profile` where `m_reg` = '1' and `m_live` = '1' and `m_role` < 10;");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login] ".($ank['m_cheked_maf']=='1'?'['.rol($ank['m_role']).']':null)."</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Убить' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "Вы уже проголосовали за пользователя <b>$us[login]</b>";
}

break;

case '12':

//Шпион мафии

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_POST['id'])."'"));
if($ank['m_live']!='1' or $ank['m_role']>9)echo 'Пользователь убит или не найден';
else{

 echo "Подойдя к пользователю <b>$ank[login]</b> вы поняли, что он - <b>".rol($ank['m_role'])."</b><br/>После вы спрятались в своем доме, чтобы вас не раскрыли.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
act();
mysql_query("update `profile` set `m_cheked_maf` = '1' where `id` = '$ank[id]';");
mysql_query("insert into `maf_chat` (`id_user`,`msg`,`time`,`maf`) values ('$user[id]','Сегодня я шпионил за пользователем [b]$ank[login] [/b] Я узнал, что он - [b]".rol($ank['m_role'])."[/b]--------[br]Сообщение сформировано автоматически, специально для мафии','$time','1');");
bot("Шпион мафии следит за вами! Может быть, он прямо за вашей спиной или под кроватью! Страшно?!");
}
}else{
mafs();
echo 'Кого же сегодня проверить?<br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1' and `m_role` < 10;");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login] ".($ank['m_cheked_maf']=='1'?'['.rol($ank['m_role']).']':null)."</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Его' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "Вы уже проверили пользователя <b>$us[login]</b>. Он - <b>".rol($us['m_role'])."</b>";
}

break;

case '13':

//Киллер мафии

if($user['m_options']!='1'){
if(isset($_POST['ok']))
{
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_POST['id'])."'"));
if($ank['m_live']!='1' or $ank['m_role']>9)echo 'Пользователь убит или не найден';
else{

 echo "Порывшись в бумажнике, вы нашли визитку: <b>$ank[login]</b>  - <b>".rol($ank['m_role'])."</b><br/>Взяв деньги, вы скрылись в темноте, готовясь к завтрашнему злодеянию.";
mysql_query("update `profile` set `m_options` = '1' where `id` = '$user[id]';");
act();
mysql_query("insert into `maf_chat` (`id_user`,`msg`,`time`,`maf`) values ('$user[id]','Сегодня я убил пользователя [b]$ank[login] [b][br] Я узнал, что он - [b]".rol($ank['m_role'])."[/b]--------Сообщение сформировано автоматически, специально для мафии','$time','1');");
bot("Киллер мафии хладнокровно навинчивает глушитель на дуло пистолета и идет к вам. Прятаться безнадежно.");
mysql_query("update `profile` set `m_cheked_maf` = '1' where `id` = '$ank[id]';");
}
}else{
mafs();
echo 'Кого же сегодня убить?<br/>';
echo "<form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1' and `m_role` < 10;");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login] ".($ank['m_cheked_maf']=='1'?'['.rol($ank['m_role']).']':null)."</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Его' name='ok'/></form>";}
}else {$ank=mysql_result(mysql_query("select `id_to` from `maf_act` where `id_from` = '$user[id]';"),0);
$us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$ank['id']."'"));
echo  "Вы уже убили пользователя <b>$us[login]</b>. Он - <b>".rol($us['m_role'])."</b>";
}

break;


}
echo '<br/><img src="'.ICONS_FILES.'ico.gif"> <a href="/mafia/">В игру</a>';
}else{



if(isset($_POST['ok'])){
$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".num($_POST['id'])."'"));
if($ank['m_live']!='1')echo 'Пользователь убит или не найден';
else{
echo "Вы успешно  проголосовали за казнь пользователя <b>$ank[login]</b>";
$ms="Пользователь [b]$user[login] [/b] успешно проголосовал";
mysql_query("update `profile` set `m_vote` = '$ank[id]' where `id` = '$user[id]';");
$rand=rand(1,3);
if($rand=='3'){
$v=mysql_query("select * from `profile` where `m_vote` > '0'");
$vote=array();
while($vank=mysql_fetch_array($v)){ $vote[$vank[m_vote]]++; }

arsort($vote);
reset($vote);
$i=0;
$ms.="[br]Промежуточные результаты:[br]";
while (list($key, $val) = each($vote)) {
    if($i>3)continue;
$ms.="[b]".mysql_result(mysql_query("select `nick` from `user` where `id` = '$key';"),0)."[/b] - $val"; $i++;
}}
bot($ms);
}
}else{


$ank = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$user['m_vote']."'"));
if($ank['id']>0)echo "Вы уже проголосовали за юзера <b>$ank[login]</b> и у него нет зрительского иммунитета<br/>Переголосовать?";
else echo 'Выберите, кого вы убираете с проекта зрительским голосованием:';

echo "<br/><form method='post' action='?$passgen'><select name='id' >";
$q=mysql_query("select * from `profile` where `m_reg` = '1' and `m_live` = '1';");
while($ank=mysql_fetch_array($q)){ echo "<option value='$ank[id]'>$ank[login] ".($user['m_role']>9 && $ank['m_role']>9?"[маф]":null)."</option>"; }
echo "</select><br/>";

echo "<input type='submit'  value='Повесить' name='ok'/></form>";

}

echo '<br/><img src="'.ICONS_FILES.'ico.gif"> <a href="/mafia/">В игру</a>';

}
navig();
foot();
?>